Bug 1029161 - Review Request: rubygem-linux_admin - A module to simplify management of Linux systems
Review Request: rubygem-linux_admin - A module to simplify management of Linu...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ken Dreyer
Fedora Extras Quality Assurance
:
Depends On: 1052283
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 14:43 EST by Mo Morsi
Modified: 2014-12-09 15:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-09 15:12:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ktdreyer: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Mo Morsi 2013-11-11 14:43:41 EST
Spec URL: http://mmorsi.fedorapeople.org/staging/rubygem-linux_admin.spec
SRPM URL: http://mmorsi.fedorapeople.org/staging/rubygem-linux_admin-0.5.1-2.fc19.src.rpm
Description:
LinuxAdmin is a module to simplify management of Linux systems.
It is a single place to manage various system level configurations,
registration, updates, etc.

Fedora Account System Username: mmorsi
Comment 1 Ken Dreyer 2013-11-22 18:38:00 EST
Hi Mo, I can take this review. Would you mind reviewing one of my bugs? Eg. bug 1032186
Comment 2 Ken Dreyer 2013-11-26 22:39:37 EST
Hi Mo,

I found two issues that block the review:

  Requires: rubygem(activesupport) < 4.0

Rails 4 is in Fedora 20, so this means the package won't build on anything higher than F19.

  Requires: rubygem(more_core_extensions) => 1.1
  Requires: rubygem(more_core_extensions) < 2

The more_core_extensions gem is not yet in Fedora.
Comment 3 Mo Morsi 2014-01-13 09:55:53 EST
Updated

Spec URL: http://mmorsi.fedorapeople.org/staging/rubygem-linux_admin.spec
SRPM URL: http://mmorsi.fedorapeople.org/staging/rubygem-linux_admin-0.5.7-1.fc19.src.rpm

Will send a review request for more_core_extensions momentarily
Comment 5 Ken Dreyer 2014-12-06 15:53:28 EST
Hi Mo, I've approved rubygem-more_core_extensions in bug 1052283. This gem package will need to follow some of the same suggestions I made in that bug (for example, removing the explicit Requires and Provides)
Comment 6 Mo Morsi 2014-12-09 15:12:42 EST
Thanks for more_core. Closing this for now as there are other higher priority items atm but will update / reopen if / when it is needed. Thanks again.

Note You need to log in before you can comment on or make changes to this bug.